class BackupFolder():

	#backup types
	GENERALSETTINGS = 1
	LOCAL = 2
	REMOTE = 3	

	def __init__(self):
		self._FolderName = None
		self._BackupType = None
		self._LocalBackupDirectory = None
		self._RemoteProtocolInt = 0
		self._RemoteProtocol = None
		self._RemotePath = None
		self._Username = None
		self._Password = None
		self._RemotePath = None
		self._EncryptionKeyEnabled = None
		self._EncryptionKey = None
		self._ExcludeList = list()
		
	def getFolderName(self):
		return self._FolderName

	def setFolderName(self, value):
		self._FolderName = value

	def getBackupType(self):
		return self._BackupType

	def setBackupType(self, value):
		self._BackupType = value

	def getLocalBackupDirectory(self):
		return self._LocalBackupDirectory
	
	def setLocalBackupDirectory(self, value):
		self._LocalBackupDirectory = value

	def getRemoteProtocolInt(self):
		return self._RemoteProtocolInt

	def setRemoteProtocolInt(self, value):
		self._RemoteProtocolInt = value

	def getRemoteProtocol(self):
		return self._RemoteProtocol

	def setRemoteProtocol(self, value):
		self._RemoteProtocol = value

	def getRemotePath(self):
		return self._RemoteProtocol

	def setRemotePath(self, value):
		self._RemotePath = value

	def getUsername(self):
		return self._Username

	def setUsername(self, value):
		self_Username = value

	def getPassword(self):
		return self._Password

	def setPassword(self, value):
		self._Password = value

	def getRemotePath(self):
		return self._RemotePath

	def setRemotePath(self, value):
		self_RemotePath = value

	def isEncryptionKeyEnabled(self):
		return self._EncryptionKeyEnabled

	def setEncryptionKeyEnabled(self, value):
		self._EncryptionKeyEnabled = value

	def getEncryptionKey(self):
		return self._EncryptionKey

	def setEncryptionKey(self, value):
		self._EncryptionKey = value

	def getExcludeList(self):
		return self._ExcludeList

	def toList(self):
		return [self._LocalBackupDirectory, self._RemoteProtocolInt, self._RemoteProtocol, self._Username, self._Password, self._RemotePath, self._EncryptionKeyEnabled, self._EncryptionKey]

	FolderName = property(getFolderName, setFolderName)
	BackupType = property(getBackupType, setBackupType)
	LocalBackupDirectory = property(getLocalBackupDirectory, setLocalBackupDirectory)
	RemoteProtocolInt = property(getRemoteProtocolInt, setRemoteProtocolInt)
	RemoteProtocol = property(getRemoteProtocol, setRemoteProtocol)
	RemotePath = property(getRemotePath, setRemotePath)
	Username = property(getUsername, setUsername)
	Password = property(getPassword, setPassword)
	RemotePath = property(getRemotePath, setRemotePath)
	EncryptionKeyEnabled = property(isEncryptionKeyEnabled, setEncryptionKeyEnabled)
	EncryptionKey = property(getEncryptionKey, setEncryptionKey)
	ExcludeList = property(getExcludeList)
